Subject: bug#39842: [PATCH] Use help-fns-short-filename in other describe- commands

From: Stefan Monnier <[email-masked]>
Date: Sat, 29 Feb 2020 16:07:46 -0500

> That's what I understood from your previous message. Now I'm asking if I
> should just remove the declaration, or also move the function (and
> rename it to help-short-filename?).

Not sure which is best either.

Hmm... now that I look at it more closely, I see that `describe-mode`
can't work without loading `help-fns` (e.g. because it calls
`find-lisp-object-file-name`), so there's no point having
`describe-mode` preloaded.

I.e. I think the better answer is that `describe-mode` should move to
`help-fns.el`.

        Stefan